//	background.js for HoreRisu
//	V3.0 : 2021/09/12
//	V3.1 : 2022/07/31
//	Tonchinkan Office (C)2013-2022, All Rights Reserved
//	http://www.tonchinkan.biz/

/**
 * Returns a handler which will open a new tab when activated.
 */

function getClickHandlerLink() {
  return function(info, tab) {
	var url = "horerisu:" + info.linkUrl;
	var opt = "_blank";
	window.open(url, opt);
  };
};

function getClickHandlerPicture() {
  return function(info, tab) {
	var url = "horerisu:" + info.srcUrl;
	var opt = "_blank";
	window.open(url, opt);
  };
};

/**
 * Create a context menu which will show up for links.
 */
chrome.contextMenus.create({
	"title" : "HoreRisu Link Target",
	"type" : "normal",
	"contexts" : ["link"],
	"onclick" : getClickHandlerLink()
});

/**
 * Create a context menu which will show up for images.
 */
chrome.contextMenus.create({
	"title" : "HoreRisu Picture",
	"contexts" : ["image"],
	"onclick" : getClickHandlerPicture()
});

